Update Rule Styles
curl --request PUT \
--url https://api.artosai.com/api/v1/templates/{template_id}/rules/{rule_id}/styles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"style_names": [
"Heading 2",
"Normal"
],
"fill": "#FFFF00",
"color": null
}
'import requests
url = "https://api.artosai.com/api/v1/templates/{template_id}/rules/{rule_id}/styles"
payload = {
"style_names": ["Heading 2", "Normal"],
"fill": "#FFFF00",
"color": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({style_names: ['Heading 2', 'Normal'], fill: '#FFFF00', color: null})
};
fetch('https://api.artosai.com/api/v1/templates/{template_id}/rules/{rule_id}/styles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rule_id": "<string>",
"styles": {},
"updated": true
}Templates
Update Rule Styles
Update style names, fill color, and/or text color for a template section rule. Styles are returned automatically with the Get Template endpoint.
PUT
/
api
/
v1
/
templates
/
{template_id}
/
rules
/
{rule_id}
/
styles
Update Rule Styles
Authorizations
Okta access-token JWT sent as a Bearer token. The token identifies the user and scopes access to the user's organization.
Path Parameters
UUID of template (for authorization)
UUID of rule to update
Body
application/json
⌘I